# Ogre::CompositorInstance::TargetOperation Class Reference

Operation setup for a RenderTarget (collected). More...

`#include <OgreCompositorInstance.h>`

List of all members.

## Public Types

typedef std::bitset< RENDER_QUEUE_COUNT > | RenderQueueBitSet
| A set of render queues to either include or exclude certain render queues.

## Public Member Functions

| TargetOperation ()
| TargetOperation (RenderTarget *target)

## Public Attributes

RenderTarget * | target
| Target.
int | currentQueueGroupID
| Current group ID.
RenderSystemOpPairs | renderSystemOperations
| RenderSystem operations to queue into the scene manager, by uint8.
uint32 | visibilityMask
| Scene visibility mask If this is 0, the scene is not rendered at all.
float | lodBias
| LOD offset.
RenderQueueBitSet | renderQueues
| Which renderqueues to render from scene.
bool | onlyInitial
bool | hasBeenRendered
| "Has been rendered" flag; used in combination with onlyInitial to determine whether to skip this target operation.
bool | findVisibleObjects
| Whether this op needs to find visible scene objects or not.
String | materialScheme
| Which material scheme this op will use.

## Detailed Description

Operation setup for a RenderTarget (collected).

Definition at line 88 of file OgreCompositorInstance.h.

## Member Typedef Documentation

typedef std::bitset<RENDER_QUEUE_COUNT> Ogre::CompositorInstance::TargetOperation::RenderQueueBitSet

| A set of render queues to either include or exclude certain render queues. Definition at line 120 of file OgreCompositorInstance.h.

## Constructor & Destructor Documentation

Ogre::CompositorInstance::TargetOperation::TargetOperation | ( |  | ) |

| Definition at line 91 of file OgreCompositorInstance.h.

Ogre::CompositorInstance::TargetOperation::TargetOperation | ( | RenderTarget * | target | ) |

| Definition at line 94 of file OgreCompositorInstance.h.

## Member Data Documentation

int Ogre::CompositorInstance::TargetOperation::currentQueueGroupID

| Current group ID. Definition at line 104 of file OgreCompositorInstance.h.

bool Ogre::CompositorInstance::TargetOperation::findVisibleObjects

| Whether this op needs to find visible scene objects or not. Definition at line 134 of file OgreCompositorInstance.h.

bool Ogre::CompositorInstance::TargetOperation::hasBeenRendered

| "Has been rendered" flag; used in combination with onlyInitial to determine whether to skip this target operation. Definition at line 131 of file OgreCompositorInstance.h.

float Ogre::CompositorInstance::TargetOperation::lodBias

| LOD offset. This is multiplied with the camera LOD offset 1.0 is default, lower means lower detail, higher means higher detail Definition at line 116 of file OgreCompositorInstance.h.

String Ogre::CompositorInstance::TargetOperation::materialScheme

| Which material scheme this op will use. Definition at line 136 of file OgreCompositorInstance.h.

bool Ogre::CompositorInstance::TargetOperation::onlyInitial

See also:
  CompositionTargetPass::mOnlyInitial

Definition at line 127 of file OgreCompositorInstance.h.

RenderQueueBitSet Ogre::CompositorInstance::TargetOperation::renderQueues

| Which renderqueues to render from scene. Definition at line 123 of file OgreCompositorInstance.h.

RenderSystemOpPairs Ogre::CompositorInstance::TargetOperation::renderSystemOperations

| RenderSystem operations to queue into the scene manager, by uint8. Definition at line 108 of file OgreCompositorInstance.h.

RenderTarget* Ogre::CompositorInstance::TargetOperation::target

| Target. Definition at line 101 of file OgreCompositorInstance.h.

uint32 Ogre::CompositorInstance::TargetOperation::visibilityMask

| Scene visibility mask If this is 0, the scene is not rendered at all. Definition at line 112 of file OgreCompositorInstance.h.

The documentation for this class was generated from the following file:

- OgreCompositorInstance.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 17 15:39:34 2006